Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.config
Class TrustedLoader

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.config.TrustedLoader

public class TrustedLoader
extends BaseInterceptor

Special configuration for trusted applications. Need to be loaded _after_ LoaderInterceptor.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`TrustedLoader()`

Method Summary
`static void` | `addTagRule(XmlMapper xh, java.lang.String tag, java.lang.String classN)`
`void` | `contextInit(Context ctx)` Notify when a context is initialized.
`void` | `engineState(ContextManager cm, int state)` Called when the server is configured - all base modules are added, some contexts are added ( explicitely or by AutoDeploy/AutoAdd ).
`void` | `loadInterceptors(Context ctx, java.io.File modulesF, java.util.Vector modulesV)`
`void` | `reload(Request req, Context context)` Again, remove and add back
`static void` | `setTagRules(XmlMapper xh)`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextMap, contextShutdown, contextState, copyContext, engineInit, engineShutdown, engineStart, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustedLoader

    public TrustedLoader()

Method Detail

### engineState

    public void engineState(ContextManager cm,
                            int state)
                     throws TomcatException

  Called when the server is configured - all base modules are added, some contexts are added ( explicitely or by AutoDeploy/AutoAdd ). No addContext callback has been called. We assume all modules are loaded from config or AutoDeploy ( so they are trusted ). We check for trusted contexts, and load any eventual module. Note that the loader used to load the module will be different from the "real" one, used on reloading or init ( XXX all modules must be prepared to handle reloading !!! )

  Overrides:
    `engineState` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### contextInit

    public void contextInit(Context ctx)
                     throws TomcatException

  Description copied from class: `BaseInterceptor`
  Notify when a context is initialized. The first interceptor in the chain for contextInit must read web.xml and set the context. When this method is called you can expect the context to be filled in with all the informations from web.xml.

  Overrides:
    `contextInit` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### reload

    public void reload(Request req,
                       Context context)
                throws TomcatException

  Again, remove and add back

  Overrides:
    `reload` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### loadInterceptors

    public void loadInterceptors(Context ctx,
                                 java.io.File modulesF,
                                 java.util.Vector modulesV)
                          throws TomcatException

  Throws:
    `TomcatException`

### addTagRule

    public static void addTagRule(XmlMapper xh,
                                  java.lang.String tag,
                                  java.lang.String classN)

### setTagRules

    public static void setTagRules(XmlMapper xh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.